TaxonomyRowDataSource (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util.stream

## Class TaxonomyRowDataSource

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.util.stream.TaxonomyRowDataSource

- All Implemented Interfaces:
    DataSource

      public class TaxonomyRowDataSource
      extends Object
      implements DataSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isActiveFilterOnResult`
    `protected boolean` | `showOnlySelected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyRowDataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<com.extjs.gxt.ui.client.data.ModelData>` | `convertData(ArrayList<TaxonomyRow> rows)`
    `protected com.extjs.gxt.ui.client.data.BaseModelData` | `convertTaxonomyRow(TaxonomyRow row)`
    `String` | `getClassification(List<TaxonomyRow> listTaxonomy)`
    `void` | `getData(int start, int limit, ResultFilter activeFiltersObject, com.google.gwt.user.client.rpc.AsyncCallback<List<com.extjs.gxt.ui.client.data.ModelData>> callback)`
    `String` | `getInfo()`
    `protected String` | `getProvenanceHTML(String dataSource, String datasetCitation)`
    `protected String` | `getRankHtml(List<TaxonomyRow> listTaxonomy)`
    `void` | `getStreamState(com.google.gwt.user.client.rpc.AsyncCallback<StreamState> callback)`
    `boolean` | `isActiveFilterOnResult()`
    `boolean` | `isShowOnlySelected()`
    `void` | `setActiveFilterOnResult(boolean isActiveFilterOnResult)`
    `void` | `setShowOnlySelected(boolean showOnlySelected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### showOnlySelected

          protected boolean showOnlySelected

    - #### isActiveFilterOnResult

          protected boolean isActiveFilterOnResult

  - ### Constructor Detail

    - #### TaxonomyRowDataSource

          public TaxonomyRowDataSource()

  - ### Method Detail

    - #### getStreamState

          public void getStreamState(com.google.gwt.user.client.rpc.AsyncCallback<StreamState> callback)

      Specified by:
        `getStreamState` in interface `DataSource`

    - #### getData

          public void getData(int start,
                     int limit,
                     ResultFilter activeFiltersObject,
                     com.google.gwt.user.client.rpc.AsyncCallback<List<com.extjs.gxt.ui.client.data.ModelData>> callback)

      Specified by:
        `getData` in interface `DataSource`

    - #### convertData

          protected List<com.extjs.gxt.ui.client.data.ModelData> convertData(ArrayList<TaxonomyRow> rows)

    - #### convertTaxonomyRow

          protected com.extjs.gxt.ui.client.data.BaseModelData convertTaxonomyRow(TaxonomyRow row)

    - #### getClassification

          public String getClassification(List<TaxonomyRow> listTaxonomy)

    - #### getRankHtml

          protected String getRankHtml(List<TaxonomyRow> listTaxonomy)

    - #### getProvenanceHTML

          protected String getProvenanceHTML(String dataSource,
                                 String datasetCitation)

    - #### isShowOnlySelected

          public boolean isShowOnlySelected()

    - #### setShowOnlySelected

          public void setShowOnlySelected(boolean showOnlySelected)

    - #### isActiveFilterOnResult

          public boolean isActiveFilterOnResult()

    - #### setActiveFilterOnResult

          public void setActiveFilterOnResult(boolean isActiveFilterOnResult)

    - #### getInfo

          public String getInfo()

      Specified by:
        `getInfo` in interface `DataSource`

Copyright © 2013. All Rights Reserved.